{assign var="heute" value="now"|date_format:"%u"} {* Wochentag als Zahl (1 = Montag, 7 = Sonntag) *}
{assign var="aktuelleZeit" value="now"|date_format:"%H:%M"} {* Aktuelle Zeit im Format HH:MM *}

{* Beginne mit der Annahme, dass das Icon nicht angezeigt werden soll *}
{$nowOnline=false}

{* Überprüfe den Wochentag und entscheide, ob das Icon basierend auf der Zeit angezeigt werden soll *}
{if $heute == 1} {* Montag *}
    {if $instance->getProperty('supportDayMoEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartMo') and $aktuelleZeit <= $instance->getProperty('supportTimeEndMo')}
        {assign var="nowOnline" value=true}
    {/if}
{elseif $heute == 2} {* Dienstag *}
    {if $instance->getProperty('supportDayDiEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartDi') and $aktuelleZeit <= $instance->getProperty('supportTimeEndDi')}
        {assign var="nowOnline" value=true}
    {/if}
{elseif $heute == 3} {* Mittwoch *}
    {if $instance->getProperty('supportDayMiEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartMi') and $aktuelleZeit <= $instance->getProperty('supportTimeEndMi')}
        {assign var="nowOnline" value=true}
    {/if}
{elseif $heute == 4} {* Donnerstag *}
    {if $instance->getProperty('supportDayDoEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartDo') and $aktuelleZeit <= $instance->getProperty('supportTimeEndDo')}
        {assign var="nowOnline" value=true}
    {/if}
{elseif $heute == 5} {* Freitag *}
    {if $instance->getProperty('supportDayFrEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartFr') and $aktuelleZeit <= $instance->getProperty('supportTimeEndFr')}
        {assign var="nowOnline" value=true}
    {/if}
{elseif $heute == 6} {* Samstag *}
    {if $instance->getProperty('supportDaySaEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartSa') and $aktuelleZeit <= $instance->getProperty('supportTimeEndSa')}
        {assign var="nowOnline" value=true}
    {/if}
{elseif $heute == 7} {* Sonntag *}
    {if $instance->getProperty('supportDaySoEnabled') == 'yes' and $aktuelleZeit >= $instance->getProperty('supportTimeStartSo') and $aktuelleZeit <= $instance->getProperty('supportTimeEndSo')}
        {assign var="nowOnline" value=true}
    {/if}
{/if}


<div id="{$instance->getProperty('blockId')}" class="dzm-csup-wrapper d-flex justify-content-{$instance->getProperty('alignX')} {$instance->getStyleClasses()}" >

        <div class="row {if $instance->getProperty('fullWidth') == true}flex-grow-1{/if}">
            <div class="col">
                <div data-niu-sidebar-customer-service-trigger type="button" data-toggle="modal" data-target="#csModal">
                    <div class="dzm-csup-trigger-wrapper {if $instance->getProperty('hasShadow')}dzm-csup-trigger-wrapper-shadow{/if} position-relative d-flex align-items-center justify-content-center  px-4 {if $instance->getProperty('fullWidth') == true}w-100{/if}" style="border-radius:{$instance->getProperty('borderRadius')}px;{$instance->getStyleString()}">
                        {if $instance->getProperty('iconOrImage') === 'icon'}
                            <div class="dzm-csup-trigger-icon mr-2">
                                <i class="{$instance->getProperty('supportIcon')}"></i>
                            </div>
                            <div class="dzm-csup-trigger-content font-weight-bold">
                                {$instance->getProperty('supportTitle')}
                            </div>
                            {if $instance->getProperty('onlineIcon') == 'trueBeforeTitle'}
                                <div class="dzm-csup-online-status-static"></div>
                            {/if}
                        {else}
                            {if $instance->getProperty('onlineIcon') == 'trueBeforeTitle'}
                                <div class="dzm-csup-online-status-static"></div>
                            {/if}
                            <div class="dzm-csup-trigger-content font-weight-bold">
                                {$instance->getProperty('supportTitle')}
                            </div>
                            <div class="dzm-csup-trigger-trigger-avatar ml-3 position-relative">
                                {if $instance->getProperty('onlineIcon') == 'trueAtAvatar'}
                                    <div class="dzm-csup-online-status-avatar"></div>
                                {/if}
                                {$img = $instance->getProperty('supportAvatar')}
                                {if $img !=''}
                                {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                                {image
                                srcset=$imgAttribs.srcset
                                sizes=$imgAttribs.srcsizes
                                src=$imgAttribs.src
                                alt=$imgAttribs.alt|escape:'html'
                                class="img-fluid"
                                width="40px"
                                height="40px"
                                style="border-radius:{$instance->getProperty('borderRadius')}px;"
                                }
                                {/if}
                            </div>
                        {/if}

                        {if $instance->getProperty('onlineIcon') == 'trueTopRight'}
                            {* Icon anzeigen, wenn nowOnline wahr ist *}
                            {if $nowOnline}
                                <div class="dzm-csup-online-status" style="{if $instance->getProperty('borderRadius') > '20'}top:0;right:0;{/if}"></div>
                            {/if}
                        {/if}


                    </div>
                </div>
                {*<button data-niu-sidebar-customer-service-trigger type="button" class="btn btn-primary" data-toggle="modal" data-target="#csModal">

                </button>*}
            </div>
        </div>
    </div>

    {if strstr($currentTemplateDir|lower,"niuplus")}
        {include file="./DZMCustomerServiceSidebar.tpl" nowOnline=$nowOnline}
    {else}
        {include file="./DZMCustomerServiceModal.tpl" nowOnline=$nowOnline}
    {/if}
    {*{if $instance->getProperty('tawkWidget') === 'true'}
        {include file="./DZMCustomerServiceTawk.tpl"}
    {/if}*}



