{$imageSize = "height: {$instance->getProperty('imgsize')}px; width:{$instance->getProperty('imgsize')}px"}
{$his = ($instance->getProperty('imgsize')/2)}
{$itemPadding = ({$his} + 16)}
{$hhr = {$his}-({$instance->getProperty('hrThickness')}/2)}
{$hrTransform = "transform:translateY({$hhr}px);"}
{$hrStyle = "border-top-width:{$instance->getProperty('hrThickness')}px; border-top-style: {$instance->getProperty('hrStyle')}; border-top-color: {$instance->getProperty('hrColor')}"}

<div id="{$instance->getProperty('blockId')}" class="dzm-il-wrapper row no-gutters {$instance->getStyleClasses()}">
    <div class="dzm-il-item col d-flex" style="padding:0 {$itemPadding}px !important;">
        <hr class="d-flex" style="{$hrTransform} {$hrStyle}">
        {if 0 < $instance->getProperty('xs')}
            {for $i=1 to $instance->getProperty('xs')}
                {if {$instance->getProperty('useImg')}}
                        <div class="dzm-il-sqr-image-container d-flex {$instance->getProperty('padding')}">
                            {$img = $instance->getProperty('img')}
                            {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                            {image
                            style={$imageSize}
                            srcset=$imgAttribs.srcset
                            sizes=$imgAttribs.srcsizes
                            src=$imgAttribs.src
                            alt=$imgAttribs.alt|escape:'html'
                            title=$slideTitle|escape:'html'}
                        </div>
                {else}
                <i class="{$instance->getProperty('icon')} d-flex {$instance->getProperty('padding')}" style="color:{$instance->getProperty('iconColor')}; font-size:{$instance->getProperty('imgsize')}px"></i>
                {/if}
                <hr class="d-flex" style="{$hrTransform} {$hrStyle}">
            {/for}
        {/if}
        {if $instance->getProperty('xs') < $instance->getProperty('s')}
            {for $i=1 to ($instance->getProperty('s')-$instance->getProperty('xs'))}
                    {if {$instance->getProperty('useImg')}}
                            <div class="dzm-il-sqr-image-container d-none d-sm-flex {$instance->getProperty('padding')}">
                                    {$img = $instance->getProperty('img')}
                                    {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                                    {image
                                    style={$imageSize}
                                    srcset=$imgAttribs.srcset
                                    sizes=$imgAttribs.srcsizes
                                    src=$imgAttribs.src
                                    alt=$imgAttribs.alt|escape:'html'
                                    title=$slideTitle|escape:'html'}
                            </div>
                    {else}
                            <i class="{$instance->getProperty('icon')} d-none d-sm-flex" style="color:{$instance->getProperty('iconColor')}; font-size:{$instance->getProperty('imgsize')}px"></i>
                    {/if}
                <hr class="d-none d-sm-flex {$instance->getProperty('padding')}" style="{$hrTransform} {$hrStyle}">
            {/for}
        {/if}
        {if $instance->getProperty('s') < $instance->getProperty('m')}
            {for $i=1 to ($instance->getProperty('m')-$instance->getProperty('s'))}
                    {if {$instance->getProperty('useImg')}}
                            <div class="dzm-il-sqr-image-container d-none d-md-flex {$instance->getProperty('padding')}">
                                    {$img = $instance->getProperty('img')}
                                    {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                                    {image
                                    style={$imageSize}
                                    srcset=$imgAttribs.srcset
                                    sizes=$imgAttribs.srcsizes
                                    src=$imgAttribs.src
                                    alt=$imgAttribs.alt|escape:'html'
                                    title=$slideTitle|escape:'html'}
                            </div>
                    {else}
                            <i class="{$instance->getProperty('icon')} d-none d-md-flex {$instance->getProperty('padding')}" style="color:{$instance->getProperty('iconColor')}; font-size:{$instance->getProperty('imgsize')}px"></i>
                    {/if}
                <hr class="d-none d-md-flex" style="{$hrTransform} {$hrStyle}">
            {/for}
        {/if}
        {if $instance->getProperty('m') < $instance->getProperty('l')}
            {for $i=1 to ($instance->getProperty('l')-$instance->getProperty('m'))}
                    {if {$instance->getProperty('useImg')}}
                            <div class="dzm-il-sqr-image-container d-none d-lg-flex {$instance->getProperty('padding')}">
                                    {$img = $instance->getProperty('img')}
                                    {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                                    {image
                                    style={$imageSize}
                                    srcset=$imgAttribs.srcset
                                    sizes=$imgAttribs.srcsizes
                                    src=$imgAttribs.src
                                    alt=$imgAttribs.alt|escape:'html'
                                    title=$slideTitle|escape:'html'}
                            </div>
                    {else}
                            <i class="{$instance->getProperty('icon')} d-none d-lg-flex {$instance->getProperty('padding')}" style="color:{$instance->getProperty('iconColor')}; font-size:{$instance->getProperty('imgsize')}px"></i>
                    {/if}
                <hr class="d-none d-lg-flex" style="{$hrTransform} {$hrStyle}">
            {/for}
        {/if}
        {if $instance->getProperty('l') < $instance->getProperty('xl')}
            {for $i=1 to ($instance->getProperty('xl')-$instance->getProperty('l'))}
                    {if {$instance->getProperty('useImg')}}
                            <div class="dzm-il-sqr-image-container d-none d-xl-flex {$instance->getProperty('padding')}">
                                    {$img = $instance->getProperty('img')}
                                    {$imgAttribs = $instance->getImageAttributes($img, '', '')}
                                    {image
                                    style={$imageSize}
                                    srcset=$imgAttribs.srcset
                                    sizes=$imgAttribs.srcsizes
                                    src=$imgAttribs.src
                                    alt=$imgAttribs.alt|escape:'html'
                                    title=$slideTitle|escape:'html'}
                            </div>
                    {else}
                            <i class="{$instance->getProperty('icon')} d-none d-xl-flex {$instance->getProperty('padding')}" style="color:{$instance->getProperty('iconColor')}; font-size:{$instance->getProperty('imgsize')}px"></i>
                    {/if}
                <hr class="d-none d-xl-flex" style="{$hrTransform} {$hrStyle}">
            {/for}
        {/if}
    </div>
</div>